import java.net.*;

/* Decline an invitation to play tic tac toe. */
public class DeclineMsg extends TTTMsg implements TTTConstants {

  InetAddress declinerHost; // address of host declining the invitations
  int declinerPort;         // port of the host declining the invitation
  String message;   // a note shown to the user


  /* parameters are the host declining the request to play a game, the port
   that host is waiting on, and a string.  The string can be any message which
   should be displayed to the other player.  For example "No thanks, I'm
   playing someone already."  
  */
  DeclineMsg (InetAddress h, int p, String s) {
    type = DECLINE;
    declinerHost = h;
    declinerPort = p;
    message = s;
  }
}
