import java.net.*;
/* invite another player to a game of tic tac toe.  */
public class InviteMsg extends TTTMsg implements TTTConstants {

  InetAddress inviterHost; // address of host making the invitations
  int inviterPort;         // port of the host making the invitation
  short inviterToken;      // X's or O's, whatever the inviter wants to play
  String message;          // note shown to user 
  
  /* parameters are the host making the request to play a game, the port that
     host is waiting on, the player otken of the player making the request
     (e.g., X's or O's) and a string.  The player token will be one of the two
     constants TTTConstants.PLAYERX and TTTConstants.PLAYERO.  The string can
     be any message which should be displayed to the other player.  For
     example "This is Amy.  Do you want to play a game?" */
  InviteMsg (InetAddress h, int p, short t, String s) {
    type = TTTConstants.INVITE;
    inviterToken = t;
    inviterHost = h;
    inviterPort = p;
    message = s;
  }
}
