public class MoveMsg extends TTTMsg  implements TTTConstants {

  private short player; // player making the move, either PLAYERX or PLAYERO
  private int location; // location move, must be 0..8

  /* parameters are the token of the player making the move, and the location
     of the move. There are only 9 spaces on a tic tac toe board, symbolized
     by the values 0..8, inclusive.  The board is labeled as follows:
               0 1 2
               3 4 5
               6 7 8
     If the X player wants to place an X in the middle, the move message will 
     be created with the parameters (TTTConstants.PLAYERX, 4);
  */
  MoveMsg ( short p, int l) {
    type = TTTConstants.MOVE;
    player = p;
    location = l;
  }

  short getPlayer() { return player;}

  int getLocation() { return location;}

}
